=== debian/changelog ===
ncc (2.8-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:21 +0100

ncc (2.8-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make and pass a
    C++ compiler via CC. (Closes: #943464)

 -- Anuradha Weeraman <aweeraman@gmail.com>  Fri, 25 Oct 2019 08:15:48 -0400

ncc (2.8-5) unstable; urgency=medium

  * Bumped up standards version, compat
  * Updated patches and python scripts
  * Fixed issue with binaries and scripts not getting installed properly
  * Lintian fixes

 -- Anuradha Weeraman <aweeraman@gmail.com>  Tue, 22 Oct 2019 17:53:45 -0400

ncc (2.8-4) unstable; urgency=low

  * Converted source format to 3.0 (quilt)
  * Fixed lintian warnings

 -- Anuradha Weeraman <aweeraman@gmail.com>  Fri, 04 Oct 2019 14:45:00 -0500

ncc (2.8-3) unstable; urgency=low

  * Changed dependency to use libncurses-dev
  * Upgraded Standards-Version to 4.4.0
  * Fixed missing debian/source/format warning
  * Upgraded debian/compat to 9

 -- Anuradha Weeraman <aweeraman@gmail.com>  Tue, 01 Oct 2019 05:38:00 -0500

ncc (2.8-2.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Fixed type for file_chunk::start,end from unsigned int to int
    to fix narrowing conversion issues with gcc-6 (Closes: #811745)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 07 Jan 2017 22:10:15 +0100

ncc (2.8-2) unstable; urgency=low

  * Added gengraph to /usr/bin and associated man page
  * Updates to man pages
  * Fixed lintian warnings
  * Removed scripts from /usr/share/doc/ncc

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Sat, 01 Nov 2014 01:09:18 +0530

ncc (2.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Depends): Added python and ${misc:Depends}.
    (Standards-Version): Conforms to 3.8.4.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 08 Feb 2010 11:25:55 +0900

ncc (2.7-3) unstable; urgency=low

  * Lintian cleanups
  * Changed maintainer uid
  * Added DM-Upload-Allowed to debian/control

 -- Anuradha Weeraman <anuradha@gnuromancer.org>  Thu, 22 May 2008 00:33:05 -0400

ncc (2.7-2) unstable; urgency=medium

  * Upgraded to Standard-Version 3.7.3
  * Renamed /usr/bin/ncc to /usr/bin/nccgen (Closes: #407405)
  * Urgency medium because this fixes RC bug
  * Removed "Conflict: nemerle" from debian/control
  * Added README.Debian

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Sat, 15 Dec 2007 23:18:18 -0500

ncc (2.7-1) unstable; urgency=low

  * New upstream release
  * Added -Wno-write-strings to compiler flags
  * Moved gengraph.py to /usr/share/doc/scripts (Closes: #411134)
  * Removed dependency on Python
  * Fixed lintian warning

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Sat, 01 Dec 2007 14:50:09 -0500

ncc (2.6-5) unstable; urgency=low

  * Added gengraph.py and man page to /usr/bin (Closes: #411134)

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Wed, 30 May 2007 23:49:52 -0400

ncc (2.6-4) unstable; urgency=low

  * Conflicts with nemerle. Updated control file (Closes: #407405)
  * Typo in Uploader field

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Fri, 19 Jan 2007 20:38:29 -0500

ncc (2.6-3) unstable; urgency=low

  * Updated changelog (Closes: #387415)

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Sat, 30 Dec 2006 15:27:24 -0500

ncc (2.6-2) unstable; urgency=low

  * Updated debian/control

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Sat, 30 Dec 2006 15:19:03 -0500

ncc (2.6-1) unstable; urgency=low

  * New upstream release.
  * Updated debhelper compatibility level
  * Added NIIEBE Yutaka as the uploader
  * Added NCC homepage to debian/control
  * Updated Standards-version to 3.7.2
  * Added debian/watch file
  * Updated Build-depends

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Sat, 30 Dec 2006 13:03:46 -0500

ncc (2.5-2) unstable; urgency=low

  * Fixed debian/control.

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Tue, 26 Dec 2006 14:56:44 -0500

ncc (2.5-1) unstable; urgency=low

  * Initial release.

 -- Anuradha Weeraman (anu) <aweeraman@gmail.com>  Fri, 22 Dec 2006 14:47:14 -0500
