=== debian/control ===
Source: ncc
Section: devel
Priority: optional
Maintainer: Anuradha Weeraman <aweeraman@gmail.com>
Build-Depends: debhelper (>=12~), libncurses-dev, debhelper-compat (=12)
Standards-Version: 4.4.1
Uploaders: NIIBE Yutaka <gniibe@fsij.org>
Vcs-Browser: https://salsa.debian.org/debian/ncc
Vcs-Git: https://salsa.debian.org/debian/ncc.git
Homepage: http://students.ceid.upatras.gr/~sxanth/ncc/
Rules-Requires-Root: no

Package: ncc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python2
Description: C source code analyzer
 A small, extensible tool that provides program analysis data of C
 source code. This data can be used to analyze the function call flow
 of programs with tools such as graphviz and springgraph. Included
 with this distribution is nccnav that can be used to study the call
 hierarchy of C source code on a text-mode console.
