=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	[ -e objdir ] || mkdir objdir
	dh_auto_build -- 'CC=$$(CXX)'
	touch build-stamp

clean:
	dh_prep
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/ncc.substvars
	rm -f debian/files
	rm -f scripts/gengraph scripts/gengraph.1
	rm -f nccgen.1
	rm -f docs/ncc.h
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_prep
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ncc/usr
	dh_clean


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	cp scripts/gengraph.py scripts/gengraph
	cp scripts/gengraph.py.1 scripts/gengraph.1
	cp doc/nognu doc/ncc.h
	dh_install
	rm -f doc/ncc.h
	dh_installchangelogs -k doc/CHANGES
	dh_installdocs -Xdoc/LICENSE -Xdoc/nognu -Xdoc/dbstree.aux \
                       -Xdoc/dbstree.dvi -Xdoc/dbstree.log -Xdoc/farg.c \
                       -Xdoc/fptr.c README.1.8.rw doc/*
	dh_installexamples doc/fptr.c doc/farg.c
	cp ncc.1 nccgen.1
	dh_installman
	dh_link usr/bin/nccgen usr/bin/nccar
	dh_link usr/bin/nccgen usr/bin/nccld
	dh_link usr/bin/nccgen usr/bin/nccc++
	dh_link usr/bin/nccgen usr/bin/nccg++
	dh_link usr/bin/nccnav usr/bin/nccnavi
	dh_link usr/share/man/man1/nccgen.1.gz usr/share/man/man1/nccar.1.gz
	dh_link usr/share/man/man1/nccgen.1.gz usr/share/man/man1/nccld.1.gz
	dh_link usr/share/man/man1/nccgen.1.gz usr/share/man/man1/nccc++.1.gz
	dh_link usr/share/man/man1/nccgen.1.gz usr/share/man/man1/nccg++.1.gz
	dh_link usr/share/man/man1/nccnav.1.gz usr/share/man/man1/nccnavi.1.gz
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
