=== debian/watch ===
version=2
http://students.ceid.upatras.gr/~sxanth/ncc/ncc-(.*)\.tar\.gz
